@if (isVisible) {
  <div class="full-width full-height banner flex-row">
    <div class="message">
      <i
        nz-icon
        nzType="exclamation-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#FF0000'"
      ></i>
      {{ messageKey | translate }}
      <span class="detail-link" (click)="openPageInNewTab()">{{
        linkKey | translate
      }}</span>
      ({{ permissionKey | translate }})
    </div>
    <div class="message" style="margin-left: auto">
      <i
        nz-icon
        nzType="close"
        style="cursor: pointer"
        (click)="hideBanner()"
      ></i>
    </div>
  </div>
}
